import { onMounted } from "vue";
import { useAuthStore } from "../store/auth/useAuthStore";
import { navigateTo } from '@tarojs/taro'

export function useAuthCheck() {
  const user = useAuthStore();
  onMounted( () => {
    console.log("check", user)
    if(!user.token.value) {
      navigateTo({url: '/pages/login/index'})
    }
  })
}